brlapi_packet_t(3)

NAME
brlapi_packet_t

SYNOPSIS

#include <brlapi_protocol.h>

  Data Fields

unsigned char data [BRLAPI_MAXPACKETSIZE]
brlapi_versionPacket_t version
brlapi_authClientPacket_t authClient
brlapi_authServerPacket_t authServer
brlapi_errorPacket_t error
brlapi_getDriverSpecificModePacket_t getDriverSpecificMode
brlapi_writeArgumentsPacket_t writeArguments
brlapi_paramValuePacket_t paramValue
brlapi_paramRequestPacket_t paramRequest
uint32_t uint32

Detailed Description

Type for packets. Should be used instead of a mere char[], since it has correct alignment requirements.

Field Documentation

  brlapi_authClientPacket_t brlapi_packet_t::authClient

  brlapi_authServerPacket_t brlapi_packet_t::authServer

  unsigned char brlapi_packet_t::data[BRLAPI_MAXPACKETSIZE]

  brlapi_errorPacket_t brlapi_packet_t::error

  brlapi_getDriverSpecificModePacket_t brlapi_packet_t::getDriverSpecificMode

  brlapi_paramRequestPacket_t brlapi_packet_t::paramRequest

  brlapi_paramValuePacket_t brlapi_packet_t::paramValue

  uint32_t brlapi_packet_t::uint32

  brlapi_versionPacket_t brlapi_packet_t::version

  brlapi_writeArgumentsPacket_t brlapi_packet_t::writeArguments

Author

Generated automatically by Doxygen for BrlAPI from the source code.